Summary: NIS/YP pwd Tools
URL: ftp://pc50.zrz.tu-berlin.de/pub/local
Name: yppasswd
Version: 0.8
Release: 6
Copyright: GNU
Group: Networking/Daemons
ExcludeArch: axp
Source: ftp.lysator.liu.se:/pub/NYS/servers/yppasswd-0.8.tar.gz
Patch0: yppasswd.init-0.8.patch
Requires: portmap
Requires: ypserv
%description
This program implements the password-changing part of the NIS/YP
networking standard. It provides the full functionality NIS/YP
password changing server (daemon) and client.

%prep
# This package taken from <smurphy@stargate.bln.sub.org> Joerg Mertin's
# rendition ;-)
%setup
%patch0 -p1

%build
# We have to make with NYSLIB="" in order to have
# yppasswd use the NYS support built into libc
# instead of trying to use -lnsl
make NYSLIB="" NYSDEF="" BINDIR=/usr/bin

%install
make BINDIR=/usr/bin install
install -m755 yppasswd.init /etc/rc.d/init.d/yppasswd.init
ln -sf ../init.d/yppasswd.init /etc/rc.d/rc3.d/S67yppasswd
ln -sf ../init.d/yppasswd.init /etc/rc.d/rc0.d/K33yppasswd

#%post
#
    
%files
%doc README
%config /etc/rc.d/init.d/yppasswd.init
/etc/rc.d/rc3.d/S67yppasswd
/etc/rc.d/rc0.d/K33yppasswd
/usr/bin/yppasswd
/usr/sbin/rpc.yppasswdd
/usr/bin/ypchfn
/usr/bin/ypchsh
/usr/lib/yp/pwupdate
/usr/man/man1/yppasswd.1
/usr/man/man1/ypchsh.1
/usr/man/man1/ypchfn.1
/usr/man/man8/yppasswdd.8



